Get started with APIs

Introduction

The TI API Developer Portal contains a wealth of information about our business-ready APIs. Take some time to familiarize yourself with the portal before building your apps.

  1. Step 1: Register your myTI account
  2. Step 2: Request API access
  3. Step 3: Authentication
  4. Step 4: Go to production
  5. Step 5: Error formatting
  6. Step 6: Get support

Step 1: Register your myTI account

To use our API products, you need a myTI account. A myTI account associated with your company email address is required to view some areas of this Developer Portal. It is also needed to subscribe to APIs and create applications that use TI APIs. More information about myTI accounts is available at https://www.ti.com/info/myti-faq.html.

Your company may also have a Partner Administrator for the TI Enterprise API Gateway or other secure TI applications. The Partner Administrator will be able to explain the partner user process and register your company email address and role which are required to obtain a myTI account.


Step 2: Request API access

To request access to an API:

  • Log in to the API portal using your myTI account
  • Select 'Apps' in the upper right corner 
  • Register an application and select the APIs you would like to use. View the API suite.  
  • Your access should be granted quickly

Step 3: Authentication

The authentication for this API is based on access tokens. To obtain an access token, you need to call our OAuth API. The authentication mechanism may vary by API depending on the required authentication level.

Environments

These URLs provide the endpoints needed to retrieve tokens:

OAuth flows

Our APIs are secured using OAuth 2.0. This means you will need to pass an access token when making your request to the APIs.  We use the client credentials flow.

Here is an example:

POST /v1/oauth/accesstoken HTTP/1.1
Host: transact-pre.ti.com
 
grant_type=client_credentials
&client_id=xxxxxxxxxx
&client_secret=xxxxxxxxxx

The response should look like this:

{
    "access_token": "MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3",
    "token_type": "bearer",
    "expires_in": 3599,
    "scope": "",
    "application_name": "app_name",
    "developer.email": "api-portal@list.ti.com",
    "issued_at": "1582220284531",
    "client_id": "IwOGYzYTlmM2YxOTQ5MGE3YmNmMDFkNTVk"
}

Finally, your API call would look as following (would change based on API specs but Authorization would remain consistent):

GET /v1/API-ENDPOINT HTTP/1.1
Host: transact-pre.ti.com
Authorization: Bearer MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3

If you are having trouble, please note that:

  • The request parameters (grant_type, client_id, client_secret) need to be sent in the request body
  • You must send the 'User-Agent' Header (for example, 'User-Agent': 'Mozilla/5.0'). Some libraries do not set or send one by default

You can view more information about the OAuth protocol in the OAuth RFC.


Step 4: Go to production

Once you have tested your application and related proposition(s) in our sandbox environment, you can submit a request to go live.

  • First, create a new Team App for production. When doing so, you will get a different API key that you can use for your production environment.
  • To get production access, both your account and App details must be registered correctly.
  • Subscribe to the API products you would like to use in the production environment.
  • Submit your request and contact us to request production access. Depending on the API, our API Services team may contact you to discuss the details of your request.
  • Once approved, you will be ready to use our API in a production environment.

Step 5: Error formatting

This section provides an overview of TI's Developer API error model.

With the exception of the OAuth endpoint, all TI APIs throw errors using the following JSON format:

{
    "Errors": [
        {
            "Code": "Unique Error Code",
            "Message": "Error Message"
        }
    ]
}

The OAuth endpoint follows the OAuth RFC for error responses:

{
  "error": "invalid_request",
  "error_description": "Request was missing the 'redirect_uri' parameter.",
  "error_uri": "See the full API docs at https://api-portal.ti.com"
}

Step 6: Get support

Questions or problems? We are happy to help. Please check our Support page for the answers to frequently asked questions or submit new question.